Bug 171395 - [MAINTAINER] audio/taglib: Update to 1.8
Summary: [MAINTAINER] audio/taglib: Update to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-07 02:40 UTC by Jason E. Hale
Modified: 2012-09-10 21:20 UTC (History)
0 users

See Also:


Attachments
2012-09-06-taglib.diff (9.31 KB, patch)
2012-09-07 02:40 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2012-09-07 02:40:01 UTC
- Update audio/taglib to 1.8
- Update WWW in pkg-descr
- Remove $FreeBSD$ keyword from pkg-plist

How-To-Repeat: - Use attached diff
Comment 1 mickael.maillot 2012-09-08 22:15:46 UTC
there is a conflict with uint typedef in /usr/local/include/taglib/taglib.h:81

xbmc members try to use new taglib 1.8 features and i can't compile
because of the conflict.
i get this error:
error: reference to 'uint' is ambiguous
/usr/include/sys/types.h:56: error: candidates are: typedef unsigned int uint
/usr/local/include/taglib/taglib.h:81: error:                 typedef
unsigned int TagLib::uint

if i comment the ligne 81, i get this errors like this:
/usr/local/include/taglib/tlist.tcc:195: error: expected constructor,
destructor, or type conversion before 'List'

so this update make the lib unusable.
Comment 2 Jason E. Hale 2012-09-09 00:23:58 UTC
On Saturday, September 08, 2012 23:15:46 Micka=EBl Maillot wrote:
> there is a conflict with uint typedef in
> /usr/local/include/taglib/taglib.h:81
>=20
> xbmc members try to use new taglib 1.8 features and i can't compile
> because of the conflict.
> i get this error:
> error: reference to 'uint' is ambiguous
> /usr/include/sys/types.h:56: error: candidates are: typedef unsigned =
int
> uint /usr/local/include/taglib/taglib.h:81: error:                 ty=
pedef
> unsigned int TagLib::uint
>=20
> if i comment the ligne 81, i get this errors like this:
> /usr/local/include/taglib/tlist.tcc:195: error: expected constructor,=

> destructor, or type conversion before 'List'
>=20
> so this update make the lib unusable.

I'm not really seeing the issue here.  Taglib 1.8-beta had a problem li=
ke this=20
because some of the new features didn't reference uint in the Taglib=20=

namespace, but that should be corrected in 1.8.  I also don't see anywh=
ere in=20
the xbmc source where taglib is referenced.  I've built a number of por=
ts that=20
depend on taglib without issue, so I need some more context on this.  F=
reeBSD=20
version/arch? Compiler? Steps to reproduce the error?

- Jason
Comment 3 mickael.maillot 2012-09-09 18:21:55 UTC
2012/9/9 Jason E. Hale <bsdkaffee@gmail.com>:
> On Saturday, September 08, 2012 23:15:46 Micka=EBl Maillot wrote:
>> there is a conflict with uint typedef in
>> /usr/local/include/taglib/taglib.h:81
>>
>> xbmc members try to use new taglib 1.8 features and i can't compile
>> because of the conflict.
>> i get this error:
>> error: reference to 'uint' is ambiguous
>> /usr/include/sys/types.h:56: error: candidates are: typedef unsigned int
>> uint /usr/local/include/taglib/taglib.h:81: error:                 typed=
ef
>> unsigned int TagLib::uint
>>
>> if i comment the ligne 81, i get this errors like this:
>> /usr/local/include/taglib/tlist.tcc:195: error: expected constructor,
>> destructor, or type conversion before 'List'
>>
>> so this update make the lib unusable.
>
> I'm not really seeing the issue here.  Taglib 1.8-beta had a problem like=
 this
> because some of the new features didn't reference uint in the Taglib
> namespace, but that should be corrected in 1.8.  I also don't see anywher=
e in
> the xbmc source where taglib is referenced.  I've built a number of ports=
 that
> depend on taglib without issue, so I need some more context on this.  Fre=
eBSD
> version/arch? Compiler? Steps to reproduce the error?
>
> - Jason

the confusion appear only when people code "using namespace TagLib" and uin=
t ...
so the update is fine and thanks for the quick update !
Comment 4 Steve Wills freebsd_committer 2012-09-09 23:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-09-10 21:19:00 UTC
Author: swills
Date: Mon Sep 10 20:18:44 2012
New Revision: 304063
URL: http://svn.freebsd.org/changeset/ports/304063

Log:
  - Update audio/taglib to 1.8
  - Update WWW in pkg-descr
  - Remove $FreeBSD$ keyword from pkg-plist
  
  PR:		ports/171395
  Submitted by:	Jason E. Hale <bsdkaffee@gmail.com> (maintainer)

Modified:
  head/audio/taglib/Makefile   (contents, props changed)
  head/audio/taglib/distinfo   (contents, props changed)
  head/audio/taglib/files/extrapatch-rcc   (contents, props changed)
  head/audio/taglib/pkg-descr   (contents, props changed)
  head/audio/taglib/pkg-plist   (contents, props changed)

Modified: head/audio/taglib/Makefile
==============================================================================
--- head/audio/taglib/Makefile	Mon Sep 10 19:52:36 2012	(r304062)
+++ head/audio/taglib/Makefile	Mon Sep 10 20:18:44 2012	(r304063)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	taglib
-PORTVERSION=	1.7.2
+PORTVERSION=	1.8
 CATEGORIES=	audio
 MASTER_SITES=	http://cloud.github.com/downloads/taglib/taglib/ \
 		http://developer.kde.org/~wheeler/files/src/
@@ -16,7 +16,6 @@ COMMENT=	Library for manipulating ID3 ta
 
 LICENSE=	LGPL21 MPL
 LICENSE_COMB=	dual
-LICENSE_FILE_LGPL21=	${WRKSRC}/COPYING.LGPL
 LICENSE_FILE_MPL=	${WRKSRC}/COPYING.MPL
 
 OPTIONS_DEFINE=	RCC

Modified: head/audio/taglib/distinfo
==============================================================================
--- head/audio/taglib/distinfo	Mon Sep 10 19:52:36 2012	(r304062)
+++ head/audio/taglib/distinfo	Mon Sep 10 20:18:44 2012	(r304063)
@@ -1,2 +1,2 @@
-SHA256 (taglib-1.7.2.tar.gz) = 38f7e5283b594021b28426a61339cffbf2d503b450338b02f651fab1b0b42899
-SIZE (taglib-1.7.2.tar.gz) = 535427
+SHA256 (taglib-1.8.tar.gz) = 66d33481703c90236a0a9d1c38fd81b584ca7109ded049225f5463dcaffc209a
+SIZE (taglib-1.8.tar.gz) = 595937

Modified: head/audio/taglib/files/extrapatch-rcc
==============================================================================
--- head/audio/taglib/files/extrapatch-rcc	Mon Sep 10 19:52:36 2012	(r304062)
+++ head/audio/taglib/files/extrapatch-rcc	Mon Sep 10 20:18:44 2012	(r304063)
@@ -7,11 +7,11 @@
 +#cmakedefine   HAVE_LIBRCC 1
 +
  #cmakedefine   NO_ITUNES_HACKS 1
---- ConfigureChecks.cmake.orig	2008-12-21 16:46:41.000000000 -0500
-+++ ConfigureChecks.cmake	2009-09-29 07:08:08.000000000 -0400
-@@ -20,6 +20,21 @@
- 	SET(HAVE_ZLIB 0)
- ENDIF(ZLIB_FOUND)
+--- ConfigureChecks.cmake.orig	2012-07-14 15:53:09.000000000 -0400
++++ ConfigureChecks.cmake	2012-07-14 20:58:15.000000000 -0400
+@@ -14,6 +14,21 @@
+ 	set(HAVE_ZLIB 0)
+ endif()
  
 +#check for librcc
 +find_path(RCC_INCLUDE_DIR librcc.h)
@@ -28,12 +28,12 @@
 +
 +mark_as_advanced(RCC_LIBRARY RCC_INCLUDE_DIR)
 +
- SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
- FIND_PACKAGE(CppUnit)
- IF (NOT CppUnit_FOUND AND BUILD_TESTS)
---- taglib/mpeg/id3v1/id3v1tag.cpp.orig	2008-02-04 16:14:45.000000000 +0100
-+++ taglib/mpeg/id3v1/id3v1tag.cpp	2008-11-20 15:24:19.000000000 +0100
-@@ -59,17 +59,18 @@
+ set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+ find_package(CppUnit)
+ if(NOT CppUnit_FOUND AND BUILD_TESTS)
+--- taglib/mpeg/id3v1/id3v1tag.cpp.orig	2012-07-14 15:53:09.000000000 -0400
++++ taglib/mpeg/id3v1/id3v1tag.cpp	2012-07-14 20:49:26.000000000 -0400
+@@ -64,17 +64,18 @@
  
  String ID3v1::StringHandler::parse(const ByteVector &data) const
  {
@@ -54,7 +54,7 @@
  }
  
  ////////////////////////////////////////////////////////////////////////////////
-@@ -240,7 +241,7 @@
+@@ -247,7 +248,7 @@
      d->track = uchar(data[offset + 29]);
    }
    else
@@ -63,9 +63,9 @@
  
    offset += 30;
  
---- taglib/mpeg/id3v2/frames/commentsframe.cpp.orig	2008-02-04 16:14:46.000000000 +0100
-+++ taglib/mpeg/id3v2/frames/commentsframe.cpp	2008-11-20 15:24:19.000000000 +0100
-@@ -136,10 +136,10 @@
+--- taglib/mpeg/id3v2/frames/commentsframe.cpp.orig	2012-07-14 15:53:09.000000000 -0400
++++ taglib/mpeg/id3v2/frames/commentsframe.cpp	2012-07-14 21:08:29.000000000 -0400
+@@ -150,10 +150,10 @@
      return;
    }
  
@@ -78,24 +78,23 @@
  
    ByteVectorList l = ByteVectorList::split(data.mid(4), textDelimiter(d->textEncoding), byteAlign, 2);
  
-@@ -155,10 +155,12 @@
+@@ -169,10 +169,12 @@
  
    String::Type encoding = d->textEncoding;
  
 +  encoding = String::ID3WType(encoding);
 +
-   encoding = checkEncoding(d->description, encoding);
-   encoding = checkEncoding(d->text, encoding);
--
+   encoding = checkTextEncoding(d->description, encoding);
+   encoding = checkTextEncoding(d->text, encoding);
+ 
 -  v.append(char(encoding));
-+  
 +  v.append(char(String::ID3RealType(encoding)));
    v.append(d->language.size() == 3 ? d->language : "XXX");
    v.append(d->description.data(encoding));
    v.append(textDelimiter(encoding));
---- taglib/mpeg/id3v2/frames/textidentificationframe.cpp.orig	2008-02-04 16:14:46.000000000 +0100
-+++ taglib/mpeg/id3v2/frames/textidentificationframe.cpp	2008-11-20 15:24:19.000000000 +0100
-@@ -105,12 +105,12 @@
+--- taglib/mpeg/id3v2/frames/textidentificationframe.cpp.orig	2012-07-14 15:53:09.000000000 -0400
++++ taglib/mpeg/id3v2/frames/textidentificationframe.cpp	2012-07-14 21:13:35.000000000 -0400
+@@ -187,12 +187,12 @@
  
    // read the string data type (the first byte of the field data)
  
@@ -110,11 +109,11 @@
  
    // build a small counter to strip nulls off the end of the field
  
-@@ -139,11 +139,14 @@
+@@ -221,11 +221,14 @@
  
  ByteVector TextIdentificationFrame::renderFields() const
  {
--  String::Type encoding = checkEncoding(d->fieldList, d->textEncoding);
+-  String::Type encoding = checkTextEncoding(d->fieldList, d->textEncoding);
 +  String::Type encoding = d->textEncoding;
 +
 +  encoding = String::ID3WType(encoding);
@@ -127,11 +126,6 @@
  
    for(StringList::ConstIterator it = d->fieldList.begin(); it != d->fieldList.end(); it++) {
  
---- taglib/toolkit/CMakeLists.txt.orig	2008-01-11 01:54:01.000000000 +0100
-+++ taglib/toolkit/CMakeLists.txt	2008-11-20 15:58:31.000000000 +0100
-@@ -1 +1 @@
--INSTALL( FILES  taglib.h tstring.h tlist.h tlist.tcc tstringlist.h  	tbytevector.h tbytevectorlist.h tfile.h  	tmap.h tmap.tcc DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)
-+INSTALL( FILES  rccpatch.h taglib.h tstring.h tlist.h tlist.tcc tstringlist.h  	tbytevector.h tbytevectorlist.h tfile.h  	tmap.h tmap.tcc DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)
 --- taglib/toolkit/rccpatch.cpp.orig	1970-01-01 01:00:00.000000000 +0100
 +++ taglib/toolkit/rccpatch.cpp	2008-11-20 15:58:31.000000000 +0100
 @@ -0,0 +1,198 @@
@@ -491,34 +485,43 @@
      /*!
       * Constructs an empty String.
       */
---- taglib/CMakeLists.txt.orig	2008-02-12 05:15:20.000000000 +0100
-+++ taglib/CMakeLists.txt	2008-11-20 15:58:31.000000000 +0100
-@@ -17,6 +17,11 @@
-     ${CMAKE_CURRENT_BINARY_DIR}/taglib
-     ${CMAKE_CURRENT_BINARY_DIR}/..
+--- taglib/CMakeLists.txt.orig	2012-07-14 15:53:09.000000000 -0400
++++ taglib/CMakeLists.txt	2012-07-14 21:34:40.000000000 -0400
+@@ -25,6 +25,10 @@
+   ${CMAKE_CURRENT_SOURCE_DIR}/xm
  )
-+
+ 
 +if(HAVE_LIBRCC)
 +    INCLUDE_DIRECTORIES(${RCC_INCLUDE_DIR})
 +endif(HAVE_LIBRCC)
 +
  if(ZLIB_FOUND)
-     INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
- endif(ZLIB_FOUND)
-@@ -119,6 +119,7 @@
+   include_directories(${ZLIB_INCLUDE_DIR})
+ endif()
+@@ -35,6 +39,7 @@
+   audioproperties.h
+   taglib_export.h
+   ${CMAKE_BINARY_DIR}/taglib_config.h
++  toolkit/rccpatch.h
+   toolkit/taglib.h
+   toolkit/tstring.h
+   toolkit/tlist.h
+@@ -267,6 +272,7 @@
  )
  
- SET(toolkit_SRCS
-+toolkit/rccpatch.cpp
- toolkit/tstring.cpp
- toolkit/tstringlist.cpp
- toolkit/tbytevector.cpp
-@@ -140,7 +141,7 @@
- 
- ADD_LIBRARY(tag SHARED ${tag_LIB_SRCS})
+ set(toolkit_SRCS
++  toolkit/rccpatch.cpp
+   toolkit/tstring.cpp
+   toolkit/tstringlist.cpp
+   toolkit/tbytevector.cpp
+@@ -297,6 +303,10 @@
+ 	target_link_libraries(tag ${ZLIB_LIBRARIES})
+ endif()
  
--TARGET_LINK_LIBRARIES(tag )
-+TARGET_LINK_LIBRARIES(tag ${RCC_LIBRARIES})
- if(ZLIB_FOUND)
- 	TARGET_LINK_LIBRARIES(tag ${ZLIB_LIBRARIES})
- endif(ZLIB_FOUND)
++if(HAVE_LIBRCC)
++	target_link_libraries(tag ${RCC_LIBRARIES})
++endif()
++
+ set_target_properties(tag PROPERTIES
+   VERSION ${TAGLIB_SOVERSION_MAJOR}.${TAGLIB_SOVERSION_MINOR}.${TAGLIB_SOVERSION_PATCH}
+   SOVERSION ${TAGLIB_SOVERSION_MAJOR}
\ No newline at end of file

Modified: head/audio/taglib/pkg-descr
==============================================================================
--- head/audio/taglib/pkg-descr	Mon Sep 10 19:52:36 2012	(r304062)
+++ head/audio/taglib/pkg-descr	Mon Sep 10 20:18:44 2012	(r304063)
@@ -3,4 +3,4 @@ audio formats. Currently it supports bot
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 and TrueAudio files.
 
-WWW: http://developer.kde.org/~wheeler/taglib.html
+WWW: http://taglib.github.com/

Modified: head/audio/taglib/pkg-plist
==============================================================================
--- head/audio/taglib/pkg-plist	Mon Sep 10 19:52:36 2012	(r304062)
+++ head/audio/taglib/pkg-plist	Mon Sep 10 20:18:44 2012	(r304063)
@@ -1,4 +1,3 @@
-@comment $FreeBSD$
 bin/taglib-config
 include/taglib/aifffile.h
 include/taglib/aiffproperties.h
@@ -30,6 +29,12 @@ include/taglib/id3v2framefactory.h
 include/taglib/id3v2header.h
 include/taglib/id3v2synchdata.h
 include/taglib/id3v2tag.h
+include/taglib/itfile.h
+include/taglib/itproperties.h
+include/taglib/modfile.h
+include/taglib/modfilebase.h
+include/taglib/modproperties.h
+include/taglib/modtag.h
 include/taglib/mp4atom.h
 include/taglib/mp4coverart.h
 include/taglib/mp4file.h
@@ -45,11 +50,14 @@ include/taglib/oggfile.h
 include/taglib/oggflacfile.h
 include/taglib/oggpage.h
 include/taglib/oggpageheader.h
+include/taglib/ownershipframe.h
 include/taglib/popularimeterframe.h
 include/taglib/privateframe.h
 %%RCC%%include/taglib/rccpatch.h
 include/taglib/relativevolumeframe.h
 include/taglib/rifffile.h
+include/taglib/s3mfile.h
+include/taglib/s3mproperties.h
 include/taglib/speexfile.h
 include/taglib/speexproperties.h
 include/taglib/tag.h
@@ -59,12 +67,16 @@ include/taglib/taglib_config.h
 include/taglib/taglib_export.h
 include/taglib/tbytevector.h
 include/taglib/tbytevectorlist.h
+include/taglib/tbytevectorstream.h
 include/taglib/textidentificationframe.h
 include/taglib/tfile.h
+include/taglib/tfilestream.h
+include/taglib/tiostream.h
 include/taglib/tlist.h
 include/taglib/tlist.tcc
 include/taglib/tmap.h
 include/taglib/tmap.tcc
+include/taglib/tpropertymap.h
 include/taglib/trueaudiofile.h
 include/taglib/trueaudioproperties.h
 include/taglib/tstring.h
@@ -81,9 +93,11 @@ include/taglib/wavpackproperties.h
 include/taglib/wavproperties.h
 include/taglib/xingheader.h
 include/taglib/xiphcomment.h
+include/taglib/xmfile.h
+include/taglib/xmproperties.h
 lib/libtag.so
 lib/libtag.so.1
-lib/libtag.so.1.7.2
+lib/libtag.so.1.12.0
 lib/libtag_c.so
 lib/libtag_c.so.0
 lib/libtag_c.so.0.0.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2012-09-10 21:19:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!